#
# spec file for package OpenOffice_org-filters (Version 3.1.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

# as with # rhbz#465664 many thanks to pmladek
%define        __jar_repack %{nil}

Name:           OpenOffice_org-filters
Version:        3.1.1.1
Release:        2.4.moblin2
%define         ooo_build_version 3.1.1.1
%define         piece      filters
#!BuildIgnore:  OpenOffice_org

BuildRequires:  ImageMagick ant ant-apache-regexp bison boost-devel ccache cups-devel curl-devel db4-devel flac-devel flex gnome-vfs2-devel gperf gtk2-devel icu java-devel krb5-devel libexif mono-devel neon-devel openldap-devel pam-devel perl-Archive-Zip perl-Compress-Zlib postgresql-devel python-devel  recode unixODBC-devel unzip xml-commons-apis zip
BuildRequires:  xorg-x11-server-devel
BuildRequires:  xorg-x11-proto-xproto
BuildRequires: xorg-x11-utils
BuildRequires:  OpenOffice_org-artwork-devel = %version
BuildRequires:  OpenOffice_org-libs-core-devel = %version
BuildRequires: pkgconfig(xt) pkgconfig(xtst)
BuildRequires: libjpeg-devel libxslt-devel pkgconfig(xaw7) pkgconfig(xau) openssl-devel pkgconfig(gl) pkgconfig(glu) 
BuildRequires:  expat-devel
BuildRequires:  libicu-devel
BuildRequires:  hunspell-devel libwpd-devel libwpg-devel libwps-devel
%define	        ooo_prefix	%_libdir
%define	        ooo_home		ooo3
%define	        ooo_build_tag     ooo310-m19
License:        LGPL v3 only
Group:          Productivity/Office/Suite
AutoReqProv:    on
Requires:       OpenOffice_org-libs-core = %version
Summary:        Import and Export Filters for OpenOffice.org
Url:            http://www.openoffice.org/
Source0:        %ooo_build_tag-%piece.tar.bz2
Source1:        ooo-sdf-%piece.tar.bz2
# FIXME: hack the provides and requires (bnc#411538)
# make sure external scripts are used
%define _use_internal_dependency_generator 0
%define __find_provides /bin/sh %_sourcedir/ooo-filters-prov %name
%define __find_requires /bin/sh %_sourcedir/ooo-filters-req %name
Source100:      ooo-filters-prov
Source101:      ooo-filters-req
# FIXME: hotfixes
Patch990:       docx-import-fixes-pieces.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64 ppc

%description
This package includes some separated OpenOffice.org import and export
filters, for example:

- OOXML

- PDF

- T602

- MS Works



%package optional
License:        LGPL v3 only
Summary:        Additional Import and Export Filters for OpenOffice.org
Group:          Productivity/Office/Suite
Provides:       OpenOffice_org:%ooo_prefix/%ooo_home/share/xslt/docbook/DocBookTemplate.stw
Requires:       OpenOffice_org-calc = %version
Requires:       OpenOffice_org-draw = %version
Requires:       OpenOffice_org-math = %version
Requires:       OpenOffice_org-writer = %version
Requires:       OpenOffice_org-impress = %version

%description optional
This package includes some additional import and export filters for
OpenOffice.org:

- AportisDoc (Palm)

- Pocket Excel

- Pocket Word

- DocBook

- XHTML



%package l10n-prebuilt
License:        LGPL v3 only
Summary:        Prebuilt OpenOffice.org Filters Localizations
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description l10n-prebuilt
This package includes the prebuilt localization of OpenOffice.org
import and export filters. It is not intended for a real use. It needs
to be repacked to the real architecture independent package.

This is only a temporary solution until we have an easier way to build
the OpenOffice.org localizations separately.



%package devel
Requires:       %name = %version
Requires:       %name-optional = %version
Requires:       OpenOffice_org-ure-devel = %version
Requires:       OpenOffice_org-libs-extern-devel = %version
License:        LGPL v3 only
Summary:        OpenOffice.org Filters Development
Group:          Productivity/Office/Suite
AutoReqProv:    off

%description devel
This package allows development based on the OpenOffice.org import and
export filters API.



%prep
%setup -q -a1 -n %ooo_build_tag-%piece
# hotfixes
mkdir -p ooo-build/hotfixes
cp %{P:990} ooo-build/hotfixes

%build
# setup env.
OPTFLAGS=`echo $CFLAGS|sed -e 's/-Os/-O2/g'`
export CFLAGS=$OPTFLAGS
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export VERBOSE=1
export EXTRA_BUILD_FLAGS=%{?jobs:-P%jobs}
export EXTRA_DMAKE_FLAGS="%{?jobs:-- -P%jobs}"
$OO_TOOLSDIR/piece/build-generic %piece %ooo_build_tag

%install
# setup env.
export OO_INSTDIR=%{_libdir}/%ooo_home
export OO_TOOLSDIR=$OO_INSTDIR/ooo-build/bin
export DESTDIR=$RPM_BUILD_ROOT
$OO_TOOLSDIR/piece/install-generic %piece %ooo_build_tag
# hack to install extensions
mkdir -p $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install
find . -name "*.oxt" -exec cp {} $RPM_BUILD_ROOT%ooo_prefix/%ooo_home/share/extension/install \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig
# optional

%pre optional
if test $1 -gt 1 ; then
    echo "Unregistering the older OpenOffice.org optional filter extensions..."
    # Writer2latex extensions has been completely removed in 3.0.99.6 (bnc#529914)
    if unopkg list --shared | grep -q "org.openoffice.da.writer2latex.oxt" ; then
	unopkg remove --shared org.openoffice.da.writer2latex.oxt || true;
	# clear disk cache
	unopkg list --shared > /dev/null 2>&1 || true
    fi
fi

%files -f files-%piece.txt
%defattr(-,root,root)

%files -f files-%piece-optional.txt optional
%defattr(-,root,root)

%files devel
%defattr(-,root,root)
%dir %ooo_prefix/%ooo_home/solver
%ooo_prefix/%ooo_home/solver/*
%exclude %ooo_prefix/%ooo_home/solver/noarch

%files l10n-prebuilt
%defattr(-,root,root)
%ooo_prefix/%ooo_home/solver/noarch

%changelog
* Wed Aug 26 2009 pmladek@suse.cz
- updated to the milestone ooo310-m19
- updated ooo-build to version 3.1.1.1 (3.1.1-rc1)
- added check to avoid error message about missing writer2latex extension
  (bnc#529914)
* Tue Aug 18 2009 pmladek@suse.cz
- updated to the milestone ooo310-m18
- updated ooo-build to version 3.1.0.99.3 (3.1.1-beta3)
* Tue Aug  4 2009 pmladek@suse.cz
- updated to the milestone ooo310-m17
- updated ooo-build to version 3.1.0.99.2 (3.1.1-beta2)
- updated extra localizations sources: bg el mk nb nn sk sl
* Thu Jul 23 2009 pmladek@suse.cz
- updated to the milestone ooo310-m16
- updated ooo-build to version 3.1.0.99.1 (3.1.1-beta1)
* Mon Jun 29 2009 pmladek@suse.cz
- updated to the milestone ooo310-m14
- updated ooo-build to version 3.1.0.98.2 (3.1.1-alpha2)
* Mon Jun 15 2009 pmladek@suse.cz
- updated to the milestone ooo310-m13
- updated ooo-build to version 3.1.0.98.1 (3.1.1-alpha1)
* Thu May 28 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.6 (3.1-rc7 == final)
* Tue May 26 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.5 (3.1-rc6)
* Fri May 22 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.4 (3.1-rc5)
* Thu May 21 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.3 (3.1-rc4)
* Tue May 19 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.2 (3.1-rc3)
* Fri May 15 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.1  (3.1-rc2)
* Thu May  7 2009 pmladek@suse.cz
- updated ooo-build to version 3.1.0.0  (3.1-rc1)
* Thu Apr 30 2009 pmladek@suse.cz
- updated to the milestone ooo310-m11 (3.1-rc2)
- updated ooo-build to version 3.0.99.7 (3.1-beta7)
* Fri Apr 24 2009 pmladek@suse.cz
- fixed split build
- fixed crashes due to the bad import of a shape (bnc#478945, bnc#478982)
- fixed dates DOCX export
- fixed layout PPTX import (bnc#480223)
* Fri Apr 24 2009 pmladek@suse.cz
- updated to the milestone ooo310-m10
- updated ooo-build to version 3.0.99.6 (3.1-beta6)
- updated extra localization sources: be-BY, bg, cs, da, el, et, fi, ga, km,
  lt, mk, sk, sl
- removed support for writer2latex extension; was removed from the upstream
  sources at all (i#100836)
* Fri Apr 17 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.99.5 (3.1-beta5)
* Wed Apr  8 2009 pmladek@suse.cz
- updated to the milestone ooo310-m9
- updated ooo-build to version 3.0.99.4 (3.1-beta4)
- added needed hacks to install the writer2latex extension
* Fri Mar 27 2009 pmladek@suse.cz
- updated to the milestone ooo310-m7
- updated ooo-build to version 3.0.99.3 (3.1-beta3)
* Fri Mar 20 2009 pmladek@suse.cz
- updated to the milestone ooo310-m6
- updated ooo-build to version 3.0.99.2 (3.1-beta2)
* Tue Mar 10 2009 pmladek@suse.cz
- updated to the milestone ooo310-m4
- updated ooo-build to version 3.0.99.1 (3.1-beta1)
* Fri Feb 20 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.16.1
* Fri Feb  6 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.15
* Fri Jan 23 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.13
- added ExclusiveArch: %%%%%%%%ix86 x86_64 ppc (bnc#465252)
* Fri Jan  9 2009 pmladek@suse.cz
- updated ooo-build to version 3.0.0.11
* Fri Dec  5 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.10
* Fri Nov 21 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.9
- added extra localizations sources
* Fri Nov  7 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.8
* Mon Oct 27 2008 pmladek@suse.cz
- updated ooo-build to version 3.0.0.7
- added OpenOffice_org-filters-optional to requires of the devel package; the
  devel package is common for all subpackages
* Fri Oct 10 2008 pmladek@suse.cz
- updated to the milestone ooo300-m9 (3.0rc4)
- updated ooo-build to version 3.0.0.6
- added BuildIgnore OpenOffice_org to avoid cyclic build dependency
- added OpenOffice_org-artwork-devel to BuildRequires to fix missing
  icons and incomplete dialogs
* Sat Sep 27 2008 pmladek@suse.cz
- updated to the milestone ooo300-m7 (3.0rc2)
- updated ooo-build to version 3.0.0.5
* Mon Sep 15 2008 pmladek@suse.cz
- added hack to hide dependecy on the internal redland (bnc#411538)
* Thu Sep 11 2008 pmladek@suse.cz
- split from the main OpenOffice_org package, version 3.0.0.4
